%define name	qdvdauthor
%define version	0.1.1
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	GUI to create DVD menus and images from media files
Version: 	%{version}
Release:	%{release}

Source:		%{name}-%{version}.tar.bz2
#Patch1:		qdvdauthor-0.0.10-gcc4.patch.bz2
URL:		http://qdvdauthor.sourceforge.net/
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig ImageMagick-devel qt3-devel libxine-devel
BuildRequires:	dvdauthor >= 0.6.10
BuildRequires:	ImageMagick
Requires:	dvdauthor mjpegtools dvd-slideshow ImageMagick sox

%description
'Q' DVD-Author is a GUI frontend for dvdauthor and related tools. The goal is
to provide an easy-to-use, yet powerful and complete interface to generate DVD
menus, slideshows, and videos to burn on a DVD under Linux.

%prep
%setup -q
#perl -p -i -e 's/usr\/local/usr/g' %name/qdvdauthor.cpp
#perl -p -i -e 's/usr\/local/usr/g' %name/dialogsetup.ui
#%patch1 -p1 -b .gcc4

%build
export PATH=$PATH:/usr/lib/qt3/bin
./configure --with-qt-lib=qt-mt --qt-dir=%_libdir/qt3
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_datadir/{pixmaps,applications}
install -m 755 bin/%name $RPM_BUILD_ROOT/%_bindir/
install -m 644 %name.png $RPM_BUILD_ROOT/%_datadir/pixmaps/
#install -m 644 %name.desktop $RPM_BUILD_ROOT/%_datadir/applications/


(mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name}  <<EOF
?package(%name): \ 
command="%{_bindir}/%{name}" needs="X11" \
icon="%{_prefix}/share/pixmaps/%name.png" \
section="Multimedia/Video" \
title="QDVDAuthor"  \
longtitle="DVD creator" \
xdg="true"
EOF
)

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name="QDVDAuthor"
Comment="DVD creator"
TryExec="%{name}"
Exec="%{name}"
Icon="%{_prefix}/share/pixmaps/%{name}.png"
Terminal="0"
StartupNotify=true
Categories=GNOME;GTK;AudioVideo;Audio;Video;Player;X-MandrivaLinux-Multimedia-Video;
Type="Application"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 %name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 %name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 %name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README TODO CHANGELOG doc/*
%{_bindir}/%name
%{_prefix}/share/pixmaps/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop
%{_menudir}/*
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Wed Aug  9 2006 Antoine Ginies <aginies@mandriva.com> 0.1.1-1mdv2007.0
- 0.1.1 release
- xdg menu

* Wed Dec 28 2005 Austin Acton <austin@mandriva.org> 0.1.0-1mdk
- 0.1.0

* Sat Sep 03 2005 Marcel Pol <mpol@mandriva.org> 0.0.10-2mdk
- buildrequires imagemagick

* Mon Aug 01 2005 Marcel Pol <mpol@mandriva.org> 0.0.10-1mdk
- 0.0.10
- %mkrel
- P1: fix gcc4 compile

* Sun Feb 13 2005 Austin Acton <austin@mandrake.org> 0.0.9-1mdk
- 0.0.9
- buildrequires dvdauthor

* Mon Nov 1 2004 Austin Acton <austin@mandrake.org> 0.0.8-1mdk
- 0.0.8

* Fri Sep 03 2004 Michael Scherer <misc@mandrake.org> 0.0.7-2mdk 
- rebuild for new ImageMagick

* Thu Jul 8 2004 Austin Acton <austin@mandrake.org> 0.0.7-1mdk
- 0.0.7

* Thu Jul 01 2004 Michael Scherer <misc@mandrake.org> 0.0.6-2mdk 
- rebuild for new ImageMagick

* Sat May 15 2004 Austin Acton <austin@mandrake.org> 0.0.6-1mdk
- 0.0.6
- buildrequires qt3-devel and libxine-devel
- new configure system
- menu entry for qslideshow

* Sat Feb 7 2004 Austin Acton <austin@mandrake.org> 0.0.2-2mdk
- point to /usr/bin not /usr/local/bin for helper apps

* Sat Feb 7 2004 Austin Acton <austin@mandrake.org> 0.0.2-1mdk
- initial package
